Servercommunity Foren-Übersicht Servercommunity
Das informative Forum für Fragen rund um Server
 
 FAQFAQ   SuchenSuchen   MitgliederlisteMitgliederliste   BenutzergruppenBenutzergruppen   RegistrierenRegistrieren 
 ProfilProfil   Einloggen, um private Nachrichten zu lesenEinloggen, um private Nachrichten zu lesen   LoginLogin 

Debian Sarge Apache2 zerschossen

 
Neues Thema eröffnen   Neue Antwort erstellen    Servercommunity Foren-Übersicht -> Webserver
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
epicrates



Anmeldedatum: 27.03.2004
Beiträge: 54
Wohnort: Frankenberg / Hessen

BeitragVerfasst am: Sa Okt 08, 2005 14:50    Titel: Debian Sarge Apache2 zerschossen Antworten mit Zitat

Hallo,

ich habe folgendes Problem: Auf meinem Rootie habe ich gestern ein neues Lamp-System aufgesetzt, jedoch mit Problemen bei der Interpretierung von PHP. Dies äußerte sich durch einen "speichern unter" Dialog beim Aufrufen von PHP-Dateien durch meinen Browser (beim direkten Aufruf, und beim Aufruf der Ordner mit Index-Seiten). Nach einigem rumwerkeln an der apache2.conf wollte es immer noch nicht laufen also dachte ich mir, dass ich mal alles runterwerfe und neu installiere. Nunja, wenn ich jetzt angenommen phpmyadmin mittels apt-get installieren will (und apache2 ist noch nicht installiert) spuckt mir die konsole folgendes aus:

Code:

debian:~# apt-get install phpmyadmin
Paketlisten werden gelesen... Fertig
Abh\uffffngigkeitsbaum wird aufgebaut... Fertig
Die folgenden zus\ufffftzlichen Pakete werden installiert:
  apache2 apache2-common apache2-mpm-worker
Vorgeschlagene Pakete:
  apache2-doc mysql-server php4-gd php5-gd
Empfohlene Pakete:
  php4-mcrypt php5-mcrypt
Die folgenden NEUEN Pakete werden installiert:
  apache2 apache2-common apache2-mpm-worker phpmyadmin
0 aktualisiert, 4 neu installiert, 0 zu entfernen und 15 nicht aktualisiert.
Es m\uffffssen noch 2926kB von 3966kB Archiven geholt werden.
Nach dem Auspacken werden 14,9MB Plattenplatz zus\ufffftzlich benutzt.
M\uffffchten Sie fortfahren? [J/n] j
Hole:1 ftp://ftp.de.debian.org testing/main phpmyadmin 4:2.6.4-pl1-1 [2926kB]
Es wurden 2926kB in 1s geholt (1905kB/s)
Preconfiguring packages ...
W\uffffhle vormals abgew\uffffhltes Paket apache2-common.
(Lese Datenbank ... 25612 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke apache2-common (aus .../apache2-common_2.0.54-5_i386.deb) ...
W\uffffhle vormals abgew\uffffhltes Paket apache2-mpm-worker.
Entpacke apache2-mpm-worker (aus .../apache2-mpm-worker_2.0.54-5_i386.deb) ...
W\uffffhle vormals abgew\uffffhltes Paket apache2.
Entpacke apache2 (aus .../apache2_2.0.54-5_i386.deb) ...
W\uffffhle vormals abgew\uffffhltes Paket phpmyadmin.
Entpacke phpmyadmin (aus .../phpmyadmin_4%3a2.6.4-pl1-1_all.deb) ...
Richte apache2-common ein (2.0.54-5) ...

Richte apache2-mpm-worker ein (2.0.54-5) ...
It looks like you've deleted /etc/apache2/mods-available/cgid.load, so mod_cgid cannot be enabled.  To fix this, please purge and reinstall apache2-common.
Starting web server: Apache2no listening sockets available, shutting down
Unable to open logs
invoke-rc.d: initscript apache2, action "start" failed.

Richte apache2 ein (2.0.54-5) ...
Richte phpmyadmin ein (2.6.4-pl1-1) ...
Not replacing deleted config file /etc/phpmyadmin/apache.conf
Not replacing deleted config file /etc/phpmyadmin/config.footer.inc.php
Not replacing deleted config file /etc/phpmyadmin/config.header.inc.php
Not replacing deleted config file /etc/phpmyadmin/config.inc.php
Not replacing deleted config file /etc/phpmyadmin/htaccess
Not replacing deleted config file /etc/phpmyadmin/apache.conf
Not replacing deleted config file /etc/phpmyadmin/config.footer.inc.php
Not replacing deleted config file /etc/phpmyadmin/config.header.inc.php
Not replacing deleted config file /etc/phpmyadmin/config.inc.php
Not replacing deleted config file /etc/phpmyadmin/htaccess
Forcing reload of web server: Apache2grep: /etc/apache2/conf.d/phpmyadmin.conf: Datei oder Verzeichnis nicht gefunden
grep: /etc/apache2/mods-enabled/actions.load: Datei oder Verzeichnis nicht gefunden
grep: /etc/apache2/mods-enabled/cgi.load: Datei oder Verzeichnis nicht gefunden
 ... no pidfile found! not running?no listening sockets available, shutting down
Unable to open logs
invoke-rc.d: initscript apache2, action "restart" failed.
dpkg: Fehler beim Bearbeiten von phpmyadmin (--configure):
 Unterprozess post-installation script gab den Fehlerwert 1 zur
Fehler traten auf beim Bearbeiten von:
 phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)



Any ideas ?

danke im Vorraus !
_________________
Realität ist da, wo der Pizzamann herkommt !
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden
nobody



Anmeldedatum: 23.06.2003
Beiträge: 462

BeitragVerfasst am: Sa Okt 08, 2005 21:48    Titel: Antworten mit Zitat

Code:
It looks like you've deleted /etc/apache2/mods-available/cgid.load, so mod_cgid cannot be enabled.  To fix this, please purge and reinstall apache2-common.


könnte dein problem beheben, also wenn du aptitude installiert hast einfach aptitude purge apache2-common ausführen und dann wieder apt-get install apache2-common oder wenn halt nicht installiert dpkg --purge(könnt auch anders heißen) apache2-common und dann wie gehabt mit apt-get installieren.

mfg
_________________
Rechtschreibfehler gefunden? Pech, ich darf das. Ärztlich beglaubigter Legastekniker eh legassthenicker ..ehr auch scheiß wort. ich darf dat
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden
epicrates



Anmeldedatum: 27.03.2004
Beiträge: 54
Wohnort: Frankenberg / Hessen

BeitragVerfasst am: So Okt 09, 2005 20:51    Titel: Antworten mit Zitat

das hat funktioniert. Mal schaun ob ich PHP und Apache jetzt in Harmonie bringen kann.

Danke Dir ! Smile
_________________
Realität ist da, wo der Pizzamann herkommt !
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden
nobody



Anmeldedatum: 23.06.2003
Beiträge: 462

BeitragVerfasst am: So Okt 09, 2005 22:34    Titel: Antworten mit Zitat

kein problem. man überliest solche kleinigkeiten leicht.
_________________
Rechtschreibfehler gefunden? Pech, ich darf das. Ärztlich beglaubigter Legastekniker eh legassthenicker ..ehr auch scheiß wort. ich darf dat
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden
Beiträge der letzten Zeit anzeigen:   
Neues Thema eröffnen   Neue Antwort erstellen    Servercommunity Foren-Übersicht -> Webserver Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehe zu:  
Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.



Powered by phpBB © 2001, 2005 phpBB Group
Deutsche Übersetzung von phpBB.de